Subject: Re: [PATCH] net: dsa: mv88e6060: Fix false positive lockdep splat

From: Neil Armstrong <[email-masked]>
Date: Thu, 22 Oct 2015 09:33:54 +0200

Hi Andrew,

On 10/21/2015 06:14 PM, Andrew Lunn wrote:
> On Wed, Oct 21, 2015 at 05:37:45PM +0200, Neil Armstrong wrote:
>> Like the change made for mv88e6xxx, use mutex_lock_nested() to avoid
>> lockdep to give false positives because of nested MDIO busses.
> 
> Hi Neil
> 
> We now have three instances of this, since mdio-mux.c has the same
> code. Maybe now would be a good time to refactor this code into
> mdiobus_read_nested() and mdiobus_write_nested() in mdio_bus.c?  At
> the same time, add BUG_ON(in_interrupt()) similar to the non-nested
> versions?
> 
> 	Andrew
> 
Indeed, you are right, I will post a serie with this refactoring.

Neil